package com.ruoyi.oa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.oa.mapper.CmcRecruitMapper;
import com.ruoyi.oa.domain.CmcRecruit;
import com.ruoyi.oa.service.ICmcRecruitService;

/**
 * cmc员工招聘Service业务层处理
 * 
 * @author cmc
 * @date 2025-10-16
 */
@Service
public class CmcRecruitServiceImpl implements ICmcRecruitService 
{
    @Autowired
    private CmcRecruitMapper cmcRecruitMapper;

    /**
     * 查询cmc员工招聘
     * 
     * @param recruitId cmc员工招聘主键
     * @return cmc员工招聘
     */
    @Override
    public CmcRecruit selectCmcRecruitByRecruitId(String recruitId)
    {
        return cmcRecruitMapper.selectCmcRecruitByRecruitId(recruitId);
    }

    /**
     * 查询cmc员工招聘列表
     * 
     * @param cmcRecruit cmc员工招聘
     * @return cmc员工招聘
     */
    @Override
    public List<CmcRecruit> selectCmcRecruitList(CmcRecruit cmcRecruit)
    {
        return cmcRecruitMapper.selectCmcRecruitList(cmcRecruit);
    }

    /**
     * 新增cmc员工招聘
     * 
     * @param cmcRecruit cmc员工招聘
     * @return 结果
     */
    @Override
    public int insertCmcRecruit(CmcRecruit cmcRecruit)
    {
        return cmcRecruitMapper.insertCmcRecruit(cmcRecruit);
    }

    /**
     * 修改cmc员工招聘
     * 
     * @param cmcRecruit cmc员工招聘
     * @return 结果
     */
    @Override
    public int updateCmcRecruit(CmcRecruit cmcRecruit)
    {
        return cmcRecruitMapper.updateCmcRecruit(cmcRecruit);
    }

    /**
     * 批量删除cmc员工招聘
     * 
     * @param recruitIds 需要删除的cmc员工招聘主键
     * @return 结果
     */
    @Override
    public int deleteCmcRecruitByRecruitIds(String[] recruitIds)
    {
        return cmcRecruitMapper.deleteCmcRecruitByRecruitIds(recruitIds);
    }

    /**
     * 删除cmc员工招聘信息
     * 
     * @param recruitId cmc员工招聘主键
     * @return 结果
     */
    @Override
    public int deleteCmcRecruitByRecruitId(String recruitId)
    {
        return cmcRecruitMapper.deleteCmcRecruitByRecruitId(recruitId);
    }
}
